GNU bug report logs - #37422
Setting keyboard layout with SLiM login manager doesn't work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>; dated Mon, 16 Sep 2019 10:15:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 29 Sep 2019 12:30:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 29 08:30:21 2019
Received: from localhost ([127.0.0.1]:52545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEYLE-0005jf-Kw
	for submit <at> debbugs.gnu.org; Sun, 29 Sep 2019 08:30:20 -0400
Received: from freeshell.de ([94.247.40.156]:46130 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iEYLA-0005dL-K4
 for 37422 <at> debbugs.gnu.org; Sun, 29 Sep 2019 08:30:17 -0400
Date: Sun, 29 Sep 2019 14:27:59 +0200
DKIM-Filter: OpenDKIM Filter v2.9.2 freeshell.de 0B02035C7425
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=freeshell.de;
 s=mail; t=1569760212;
 bh=doPcG5DpVplizxWFCseYO3/CchcQ426BZnDnzbsPQGE=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=bBAQxTEGqJeA2YAk/ujljc9rGRk3J5a5rKZyiwxLz1SLvqhM3qjnSlEDjO0GNbT7V
 160x57Z81EIQPPIZlbJ5rKLEEwL7KtzJEjgFBfybefCWUzGALaUbOiLSWBIQTZ+AdN
 ngnVnrvaTIB/8tUfw26E5BUBG8kj7vJ9Rt55k3OM=
From: =?utf-8?B?PT91dGYtOD9xP1dpa3Rvcl89QzU9QkJlbGF6bnk/PQ==?=
 <wz@HIDDEN>
To: 37422 <at> debbugs.gnu.org
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190929122759.wamb6ophk3r2r4ki@HIDDEN>
Mail-Followup-To: 37422 <at> debbugs.gnu.org
References: <20190916002322.04834163@HIDDEN>
 <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
 <20190926224645.0dcf55fe@HIDDEN>
 <20190928073552.ttkeuxciq5s7x4fk@HIDDEN>
 <20190928132227.47ad90d5@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="lsxfv3cy7fiyf3el"
Content-Disposition: inline
In-Reply-To: <20190928132227.47ad90d5@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--lsxfv3cy7fiyf3el
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 28, 2019 at 01:22:27PM +0200, Jan Wielkiewicz wrote:

> set-xorg-configuration doesn't work with slim though, would be nice
> if someone fixed it and the fact (keyboard-layout (keyboard-layout
> "pl,cz" "legacy,ucw")) works on your machine, but not on mine is
> strange.

The last thing that comes to my mind is the line:

   (use-service-modules desktop xorg)

Have you got these in your config.scm?

W=C5=BB

--lsxfv3cy7fiyf3el
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl2Qo05fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edWByg//UCe7aG9hQ0Szu9v3Qx5KUcRZnQrntfWwJ+XgTmzUdDoN6EC6mdejwYLG
z4Llqm09aDumbOVIZA6vj2gIlBCgTlrSdzUr69iwNNosmgERxcQ+kSrO9bjO8jp9
wlITBNGucqSvQcWmAODNoF/zciynHttZehNS6Ai6iyeykXQJG1MHo/yKIDxy+epo
nJ9c31FFJq0Ik+TnILtq7SwmrnW24VomE0xzwZCPiWaGMHwctTUf+0f3RdrH4QRq
+1Tqj6i57+2GEsArUGyPxQIF7WZPTC8NSHaFS06qEITd2qvKUC/Bv9PYJ+00wMXQ
emKS/dq3ReS/GZAKLIWm3LNEcaViXOuFnfjZ31EIX9GQjIQkmJsxc9qYmwqn9MaZ
7O0OCBJILi/Zjmm8sXcSp62tbysBqir6DMhkXohUjHmKXXVGnRIpyzNpZqWzLYoa
rficp5db4ywiKzC4JDef5kw5akr+tHKEU0npY9X/eCRcBUPixI7cttKZy0V7iWsA
zE6RCOnsqQB93lh2lLxh/SjAZyOQPqhT/3k/AW/YYCvqAv51OM1hPTvjGEwmZu7P
LHVasMOIFHxmRg83S3dO0ciXNbm8LAH225htKrgjZYxGQM+DAxBleD41Il1E1ioZ
fhYTIcCptXAaQRqRqBZ3VIR4Q8Lc8CGSsg9nEPbsDE5h45sxGb8=
=Mhgs
-----END PGP SIGNATURE-----

--lsxfv3cy7fiyf3el--




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 28 Sep 2019 12:04:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 08:04:43 2019
Received: from localhost ([127.0.0.1]:49429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEBSt-0004kE-9d
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 08:04:43 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.155]:49360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1iEBSr-0004k0-CQ
 for 37422 <at> debbugs.gnu.org; Sat, 28 Sep 2019 08:04:42 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.26.126
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-26-126.dynamic.chello.pl [89.64.26.126])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Sat, 28 Sep 2019 13:22:36 +0200 (CEST)
Date: Sat, 28 Sep 2019 13:22:27 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Wiktor =?UTF-8?B?xbtlbGF6bnk=?= <wz@HIDDEN>
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190928132227.47ad90d5@HIDDEN>
In-Reply-To: <20190928073552.ttkeuxciq5s7x4fk@HIDDEN>
References: <20190916002322.04834163@HIDDEN>
 <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
 <20190926224645.0dcf55fe@HIDDEN>
 <20190928073552.ttkeuxciq5s7x4fk@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1569669757;
 bh=dUAUU2da3+Xc0mWpEO3GwTsqM+Vs/0UnMEl7tmvWi5U=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=pCkoo+pGTB7w1OdTSkGfpSZul6RvL3f3r0xNwnQ03UnBaaU4gI1i/Y/jK1vaGjKsQ
 UZHJxbKLDdm8T3QNxJnF4iT8T+rS78XF3FvS4WrE0i++Y0Gh1fBDXQ2/rgZ9pwqIrF
 jxJbonBfLnuxSoH/u2e8vNJBxranfoLOMtdSalmI=
X-EOM: H-lo10
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
Cc: 37422 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sat, 28 Sep 2019 09:35:52 +0200
Wiktor elazny <wz@HIDDEN> wrote:


> My wild guess at it would be:
> 
> diff --git a/config.scm b/config.scm
> index 83044a1..1c07417 100644
> --- a/config.scm
> +++ b/config.scm
> @@ -15,8 +15,7 @@
>           ;;  (xorg-configuration
>           ;;   (keyboard-layout keyboard-layout))
>           ;;  slim-service-type))
> -         )
> 
>     (remove (lambda (service)
>               (eq? (service-kind service) gdm-service-type))
> -           %desktop-services))))
> +           %desktop-services)))))
> 
> W

I can't really remove it - notice I'm using append and two
lists instead of cons* - the remove procedure returns a list of services
without GDM and removing the parenthesis would make a nested list
inside the list of services "operating-system" accepts.

I've just replaced append+list with cons* just for testing purposes and
it still doesn't work, the same result.

But trying another solution have helped:

I replaced (keyboard-layout (keyboard-layout ...)) in slim-configuration
with (keyboard-layout keyboard-layout).
Thanks for helping me.

set-xorg-configuration doesn't work with slim though, would be nice if
someone fixed it and the fact (keyboard-layout (keyboard-layout "pl,cz"
"legacy,ucw")) works on your machine, but not on mine is strange.


Jan Wielkiewicz




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 28 Sep 2019 07:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 28 03:35:58 2019
Received: from localhost ([127.0.0.1]:48959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE7Gn-0004f1-Nh
	for submit <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:35:57 -0400
Received: from freeshell.de ([94.247.40.156]:35562 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iE7Gl-0004en-C5
 for 37422 <at> debbugs.gnu.org; Sat, 28 Sep 2019 03:35:56 -0400
Date: Sat, 28 Sep 2019 09:35:52 +0200
DKIM-Filter: OpenDKIM Filter v2.9.2 freeshell.de 26DDC35C4045
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=freeshell.de;
 s=mail; t=1569656148;
 bh=t2vBwYGHpZEwisCGxWifLK1RhCgLny+8WsPZTqEBcVI=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=iAQcYBq3+2GpxSx820Iag+iUgeqJ7cMq+su+EJy1BJzLB7cPH+fM58yluMEDL+9Es
 YmneJDv28nUzasTTReh+yQpigX9z/Onn0zVG+fkHdCToTk8jfSLTbvYBYPzJLRD62X
 7HxZz5r6vrPRpy7uNJNpq3yPyzHfQKJkC0v4Vkek=
From: =?utf-8?B?PT91dGYtOD9xP1dpa3Rvcl89QzU9QkJlbGF6bnk/PQ==?=
 <wz@HIDDEN>
To: 37422 <at> debbugs.gnu.org
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190928073552.ttkeuxciq5s7x4fk@HIDDEN>
Mail-Followup-To: 37422 <at> debbugs.gnu.org
References: <20190916002322.04834163@HIDDEN>
 <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
 <20190926224645.0dcf55fe@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="ppi4h3sesoz3csqc"
Content-Disposition: inline
In-Reply-To: <20190926224645.0dcf55fe@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--ppi4h3sesoz3csqc
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Sep 26, 2019 at 10:46:45PM +0200, Jan Wielkiewicz wrote:

> guix system: error: failed to load '/etc/config.scm':
> /etc/config.scm:66:57: Wrong type to apply: #<<keyboard-layout> name:
> "pl" variant: "legacy" model: #f options: ()>
>
> Don't really know why this happens. Here's my config.scm:
>
> (services
>   (append
>    (list (service mate-desktop-service-type)
> 	 (service slim-service-type
> 	 	  (slim-configuration
> 	 	   (display ":0")
> 	 	   (vt "vt7")
> 		   (xorg-configuration (xorg-configuration
> 					(keyboard-layout
> (keyboard-layout "pl" "legacy")))))) (service tor-service-type)
>          (extra-special-file "/bin/bash"
>                              (file-append coreutils "/bin/bash"))
> 	 ;; (set-xorg-configuration
> 	 ;;  (xorg-configuration
> 	 ;;   (keyboard-layout keyboard-layout))
> 	 ;;  slim-service-type))
> 	 )
> 	=20
>    (remove (lambda (service)
> 	     (eq? (service-kind service) gdm-service-type))
> 	   %desktop-services))))

My wild guess at it would be:

diff --git a/config.scm b/config.scm
index 83044a1..1c07417 100644
--- a/config.scm
+++ b/config.scm
@@ -15,8 +15,7 @@
          ;;  (xorg-configuration
          ;;   (keyboard-layout keyboard-layout))
          ;;  slim-service-type))
-         )

    (remove (lambda (service)
              (eq? (service-kind service) gdm-service-type))
-           %desktop-services))))
+           %desktop-services)))))

W=C5=BB

--ppi4h3sesoz3csqc
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl2PDVhfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edVEGg/+N/MhlsjIDvo3TzaWTgrIj5tY7MN4X3U+j2ME+uR3+4uARcl+P6GS+r2U
aiEjDUq1O7kGh8OoaeLOUgRyeBf5dlbfGCBlnzOxbpcSsYTcIjr0rVTuiyWZ8R5o
bEH8fMzahzID9W107DQEn9TOpTU6bA6hSq6V1971xeycioWeA4q8YFBchLX9Hwaz
hAvDiTFMo9qBa0dEgQHNMQ5p2nqtHKZSOfdU55w1qjF8xhPuher/+lhO0CXTaEZb
X1b1+uW6Y4AwbxMhQk3d0aVQ1cNB2wm5IQF72+ws6CK2APL6klvsAF8XhtUOY908
RA1KUaBlYkcY1m98/+PdmUvqjhwc9r6hLNDDCJnvVlceO6cePS4ujbHkjh7NTNBy
SRxNdIV3LEvhms4peG9+Dls3inocJSbJw0lMWfyIXH/7uUxW5ImqNrrtUNl0xwQ8
SVkAc9gChgYbZtfxJClN3KpgpwH5vG0VulECRxm3AZQXd2e4qnDLLoETPNYa2qyw
fT9vBxt/aQMbKwOmDk6j3fbLtl9+Tvd49wL1Nqnu3VRO8e+F3n8U1ZfBn6KtdQfB
Lx9sZV0Gm31qd93rJCuE2+eYY3BDuox6icvD9BwtwfL+WKYWW+9/0WcHmjepZwLk
h/caAAlWcNAywEemCLcXiQvHYEwxXqQwm/Urca+uRpsDf9TnGz8=
=62JO
-----END PGP SIGNATURE-----

--ppi4h3sesoz3csqc--




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 26 Sep 2019 20:47:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 16:47:05 2019
Received: from localhost ([127.0.0.1]:45375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDafJ-0006Ak-Bi
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 16:47:05 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.155]:59688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1iDafG-00062J-14
 for 37422 <at> debbugs.gnu.org; Thu, 26 Sep 2019 16:47:03 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.26.126
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-26-126.dynamic.chello.pl [89.64.26.126])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Thu, 26 Sep 2019 22:46:53 +0200 (CEST)
Date: Thu, 26 Sep 2019 22:46:45 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: Wiktor =?UTF-8?B?xbtlbGF6bnk=?= <wz@HIDDEN>
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190926224645.0dcf55fe@HIDDEN>
In-Reply-To: <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
References: <20190916002322.04834163@HIDDEN>
 <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1569530814;
 bh=F0wzegCS/PHjQFi7pcpXSgV9gdMkw3wPerZXt+LtCJc=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=hzQuuSFfNTCPsW12qnb513j157Ww8cXR0rX8FgcgjQPVMV/eDuMDb583Th7iAu6R4
 jvqhzhRWwlL/2EiWv9RQXfpo/ilVPF4K/eUajIBGyDAxM+RnBFKXjBEHD1wNYwPwOp
 uTIIZeH1dkbzVPuN1DNDcSYYKz7w4RwSiUCX3VWk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
Cc: 37422 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I've tried this solution already, but it didn't work for me then and it
doesn't work now. When I try to reconfigure my system, guix throws:

guix system: error: failed to load '/etc/config.scm':
/etc/config.scm:66:57: Wrong type to apply: #<<keyboard-layout> name:
"pl" variant: "legacy" model: #f options: ()>

Don't really know why this happens. Here's my config.scm:

(services
  (append
   (list (service mate-desktop-service-type)
	 (service slim-service-type
	 	  (slim-configuration
	 	   (display ":0")
	 	   (vt "vt7")
		   (xorg-configuration (xorg-configuration
					(keyboard-layout
(keyboard-layout "pl" "legacy")))))) (service tor-service-type)
         (extra-special-file "/bin/bash"
                             (file-append coreutils "/bin/bash"))
	 ;; (set-xorg-configuration
	 ;;  (xorg-configuration
	 ;;   (keyboard-layout keyboard-layout))
	 ;;  slim-service-type))
	 )
	=20
   (remove (lambda (service)
	     (eq? (service-kind service) gdm-service-type))
	   %desktop-services))))

Dnia 2019-09-26, o godz. 18:17:03
Wiktor =C5=BBelazny <wz@HIDDEN> napisa=C5=82(a):

> Hi,
>=20
> In case you haven=E2=80=99t found the solution, yet, perhaps this snippet=
 from
> my config.scm will help you. You will need to trim it to adapt to your
> circumstances.
>=20
>   (services (cons* (service slim-service-type (slim-configuration
>                                                 (display ":0")
>                                                 (vt "vt7")
>                                                 (auto-login? #t)
>                                                 (default-user "w")
>                                                 (xorg-configuration
>                                                   (xorg-configuration
>                                                     (keyboard-layout
> (keyboard-layout "pl,cz" "legacy,ucw"
>                                                                          =
             #:options
> '("compose:menu,grp:caps_switch"))))))) ;; skipped content
>   ))
>=20
> W=C5=BB

Jan Wielkiewicz





Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 26 Sep 2019 16:17:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 12:17:16 2019
Received: from localhost ([127.0.0.1]:44474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDWSC-0003Sq-3h
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 12:17:16 -0400
Received: from freeshell.de ([94.247.40.156]:48324 ident=postfix)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iDWS6-0003KT-Ir
 for 37422 <at> debbugs.gnu.org; Thu, 26 Sep 2019 12:17:14 -0400
Date: Thu, 26 Sep 2019 18:17:03 +0200
DKIM-Filter: OpenDKIM Filter v2.9.2 freeshell.de A0BDA35CB741
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=freeshell.de;
 s=mail; t=1569514622;
 bh=6Kby9GIfXV3ii1JzSW/xnOVh0G7RSX5z3qHubTQ9Iqo=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=mBwYXRWN7Jm+cHIl2mmKw8y6V1JqWQpSNFJbRotujCaxzRWC0WGvwoLXVaUv+R6Xs
 3TuTztHOZIfII/Ucs3V+A1ANDhdtHZivHtqoBIYPe/ZC5vTrervjoKr1EraU0Fy1Eo
 /eVQOTqcSyeaDl7ZwrESMNLoJB8GovGfJ3HMGvgY=
From: =?utf-8?B?PT91dGYtOD9xP1dpa3Rvcl89QzU9QkJlbGF6bnk/PQ==?=
 <wz@HIDDEN>
To: bug-guix@HIDDEN, 37422 <at> debbugs.gnu.org
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
Mail-Followup-To: bug-guix@HIDDEN, 37422 <at> debbugs.gnu.org
References: <20190916002322.04834163@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="cg7fpcicnrirceaw"
Content-Disposition: inline
In-Reply-To: <20190916002322.04834163@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--cg7fpcicnrirceaw
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Sep 16, 2019 at 12:23:22AM +0200, Jan Wielkiewicz wrote:

> I've tried using the default Polish keyboard layout with SLiM and it
> doesn't seem to work

Hi,

In case you haven=E2=80=99t found the solution, yet, perhaps this snippet f=
rom
my config.scm will help you. You will need to trim it to adapt to your
circumstances.

  (services (cons* (service slim-service-type (slim-configuration
                                                (display ":0")
                                                (vt "vt7")
                                                (auto-login? #t)
                                                (default-user "w")
                                                (xorg-configuration
                                                  (xorg-configuration
                                                    (keyboard-layout (keybo=
ard-layout "pl,cz"
                                                                           =
           "legacy,ucw"
                                                                           =
           #:options '("compose:menu,grp:caps_switch")))))))
  ;; skipped content
  ))

W=C5=BB

--cg7fpcicnrirceaw
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl2M5H5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edUi1g//bLJDqOvaCnuKY9V+PNYzIrdItcg1WClLxKz9lihOnJZtBdAAYGtyo4rT
u0z28T6fnu+r+RUSkeRMVXe7uzaHoebnbC5EbgWeOf8Risav353lTP2GUCHBoOBB
Dzh+zWAnb9M62nIsnihYX5ml0EAf08SPOL0N3v61bQnWbQfjmp5JlBQlOyiykzpg
J7o44E4cH3OXzcFe1ANet5ouRF08x4TC7LJ6WWZEzeKNs/bzdsgjMxfwOUUsKMTA
O0YZYLoUkWPvG2Ouf+X+2jPuWLW0dr7YP/scOseupFQa6YNX4xQpIjGRkqBINnOU
M0Jf3SzzOXn8qLhkGvdZK2tcZcNzT8+sbt0xjLspyA4S+1x9XuTConegYZEXW8oe
C7KUFAg5C9zFK5cY6IzVenypG/aCVkij4hSJbhoziiiNLMrFW4XHXhRSju5FAnYH
smeMh1y9GAHsY+JcYHHDdRUVvnxdp0XCp3A87zJA0VwXyNACI5Id651EMaz1pM6H
IuMeFNMgzpT+HpVZybNXtKru+LImP+UyR7spLn28fvo3y12SbNA0ntAKbrcCIhCE
/KmBU1s/1YsplOd7jcvjLft8/h7pLLE9ooiyJ0TEvdMRDAIGcEW73MNp6gavuZnq
W27GR+o9iScG5gEaYxBZGKp2T48RcTrvOwU2ZR3OlfufK2pkCb8=
=EX+t
-----END PGP SIGNATURE-----

--cg7fpcicnrirceaw--




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Sep 2019 16:17:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 12:17:43 2019
Received: from localhost ([127.0.0.1]:44477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDWSd-0003jU-GM
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 12:17:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:37932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wz@HIDDEN>) id 1iDWSb-0003jK-6r
 for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 12:17:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38258)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <wz@HIDDEN>) id 1iDWSY-0007vc-JH
 for bug-guix@HIDDEN; Thu, 26 Sep 2019 12:17:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <wz@HIDDEN>) id 1iDWSX-0006Dz-Hp
 for bug-guix@HIDDEN; Thu, 26 Sep 2019 12:17:38 -0400
Received: from freeshell.de ([94.247.40.156]:47061)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <wz@HIDDEN>) id 1iDWSX-0006Bn-C7
 for bug-guix@HIDDEN; Thu, 26 Sep 2019 12:17:37 -0400
Date: Thu, 26 Sep 2019 18:17:03 +0200
DKIM-Filter: OpenDKIM Filter v2.9.2 freeshell.de A0BDA35CB741
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=freeshell.de;
 s=mail; t=1569514622;
 bh=6Kby9GIfXV3ii1JzSW/xnOVh0G7RSX5z3qHubTQ9Iqo=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=mBwYXRWN7Jm+cHIl2mmKw8y6V1JqWQpSNFJbRotujCaxzRWC0WGvwoLXVaUv+R6Xs
 3TuTztHOZIfII/Ucs3V+A1ANDhdtHZivHtqoBIYPe/ZC5vTrervjoKr1EraU0Fy1Eo
 /eVQOTqcSyeaDl7ZwrESMNLoJB8GovGfJ3HMGvgY=
From: =?utf-8?B?PT91dGYtOD9xP1dpa3Rvcl89QzU9QkJlbGF6bnk/PQ==?=
 <wz@HIDDEN>
To: bug-guix@HIDDEN, 37422 <at> debbugs.gnu.org
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190926161703.uwt5ahj5u4ot33a7@HIDDEN>
Mail-Followup-To: bug-guix@HIDDEN, 37422 <at> debbugs.gnu.org
References: <20190916002322.04834163@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="cg7fpcicnrirceaw"
Content-Disposition: inline
In-Reply-To: <20190916002322.04834163@HIDDEN>
X-PGP-Key: https://freeshell.de/~wz/pubkey.asc
X-PGP-Fingerprint: BDC9 74CD D9C9 BA7D 761A  573D C735 A8C6 AB60 79D5
User-Agent: NeoMutt/20180716
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 94.247.40.156
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


--cg7fpcicnrirceaw
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Sep 16, 2019 at 12:23:22AM +0200, Jan Wielkiewicz wrote:

> I've tried using the default Polish keyboard layout with SLiM and it
> doesn't seem to work

Hi,

In case you haven=E2=80=99t found the solution, yet, perhaps this snippet f=
rom
my config.scm will help you. You will need to trim it to adapt to your
circumstances.

  (services (cons* (service slim-service-type (slim-configuration
                                                (display ":0")
                                                (vt "vt7")
                                                (auto-login? #t)
                                                (default-user "w")
                                                (xorg-configuration
                                                  (xorg-configuration
                                                    (keyboard-layout (keybo=
ard-layout "pl,cz"
                                                                           =
           "legacy,ucw"
                                                                           =
           #:options '("compose:menu,grp:caps_switch")))))))
  ;; skipped content
  ))

W=C5=BB

--cg7fpcicnrirceaw
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAABCgB9FiEEvcl0zdnJun12Glc9xzWoxqtgedUFAl2M5H5fFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldEJE
Qzk3NENERDlDOUJBN0Q3NjFBNTczREM3MzVBOEM2QUI2MDc5RDUACgkQxzWoxqtg
edUi1g//bLJDqOvaCnuKY9V+PNYzIrdItcg1WClLxKz9lihOnJZtBdAAYGtyo4rT
u0z28T6fnu+r+RUSkeRMVXe7uzaHoebnbC5EbgWeOf8Risav353lTP2GUCHBoOBB
Dzh+zWAnb9M62nIsnihYX5ml0EAf08SPOL0N3v61bQnWbQfjmp5JlBQlOyiykzpg
J7o44E4cH3OXzcFe1ANet5ouRF08x4TC7LJ6WWZEzeKNs/bzdsgjMxfwOUUsKMTA
O0YZYLoUkWPvG2Ouf+X+2jPuWLW0dr7YP/scOseupFQa6YNX4xQpIjGRkqBINnOU
M0Jf3SzzOXn8qLhkGvdZK2tcZcNzT8+sbt0xjLspyA4S+1x9XuTConegYZEXW8oe
C7KUFAg5C9zFK5cY6IzVenypG/aCVkij4hSJbhoziiiNLMrFW4XHXhRSju5FAnYH
smeMh1y9GAHsY+JcYHHDdRUVvnxdp0XCp3A87zJA0VwXyNACI5Id651EMaz1pM6H
IuMeFNMgzpT+HpVZybNXtKru+LImP+UyR7spLn28fvo3y12SbNA0ntAKbrcCIhCE
/KmBU1s/1YsplOd7jcvjLft8/h7pLLE9ooiyJ0TEvdMRDAIGcEW73MNp6gavuZnq
W27GR+o9iScG5gEaYxBZGKp2T48RcTrvOwU2ZR3OlfufK2pkCb8=
=EX+t
-----END PGP SIGNATURE-----

--cg7fpcicnrirceaw--




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 18 Sep 2019 11:41:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 07:41:35 2019
Received: from localhost ([127.0.0.1]:53667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAYL1-0007Cu-4t
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 07:41:35 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.154]:51104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1iAYKw-0007CZ-VP
 for 37422 <at> debbugs.gnu.org; Wed, 18 Sep 2019 07:41:33 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.26.126
X-Interia-R-Helo: <kompiuter>
Received: from kompiuter (89-64-26-126.dynamic.chello.pl [89.64.26.126])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Wed, 18 Sep 2019 13:41:21 +0200 (CEST)
Date: Wed, 18 Sep 2019 13:41:13 +0200
From: Jan <tona_kosmicznego_smiecia@HIDDEN>
To: quiliro@HIDDEN
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
Message-ID: <20190918134113.1fa40783@kompiuter>
In-Reply-To: <22959e14d5c70a94bf9cd886d9d06e90.squirrel@HIDDEN>
References: <20190916002322.04834163@HIDDEN>
 <22959e14d5c70a94bf9cd886d9d06e90.squirrel@HIDDEN>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1568806882;
 bh=Bm8AkXNa+Wb+oDUk7FzVSPH6uWsp1xZ1lS+Zn19ZaqI=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=JRM8DJxU/qcDiLn8uN8RuibS9ej1YWppeLYg7K1D02nvNJKyYkPsXRakpkg4N69OA
 /eNcsrULHRE932Sjb+ICF9vXBvWX8ABXaue6U0Yn8SuqKQtjZnX1Kx8nSBgBIDA00/
 9+9Z+EUvP6lBIJIATAfnVqbIGQJTvfc8bUmtHiLI=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37422
Cc: 37422 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Wed, 18 Sep 2019 00:00:27 -0500
quiliro@HIDDEN wrote:

> > PS tried sending this message to
> > https://issues.guix.gnu.org/issue/26234
> > but it got lost. Is it an accident, or is sending messages to closed
> > issues impossible? =20
>=20
> It is closed. This was the last comment:
>=20
> It=E2=80=99s been a while :-), but this is fixed by
> 598757e038ab5dea3b59c9c248a2ad860c41fe62, which lets you choose the
> Xorg keyboard layout (this was already possible before actually, but
> a bit more involved.)
>=20

The answer is from March, I ran "guix pull" and "sudo guix system
reconfigure /etc/config.scm" today, and the keyboard layout is still
unavailable. There's a chance this bug is similar to the bug from
the past, but not the same, letting it exist unnoticed.

---
Jan Wielkiewicz




Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at 37422 <at> debbugs.gnu.org:


Received: (at 37422) by debbugs.gnu.org; 18 Sep 2019 05:00:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 01:00:32 2019
Received: from localhost ([127.0.0.1]:53471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAS4r-0003Ky-LP
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 01:00:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:39470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <quiliro@HIDDEN>) id 1iAS4q-0003Ko-91
 for 37422 <at> debbugs.gnu.org; Wed, 18 Sep 2019 01:00:28 -0400
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 6596B1A1610;
 Tue, 17 Sep 2019 22:00:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568782827; bh=AkkM3hcVemgj22K105FlepBR1G8qxINQzK6rxGeRGAg=;
 h=In-Reply-To:References:Date:Subject:From:To:Cc:From;
 b=hLjE4TpdARgigBcoYpPiIB00HeXG/Su6eHtesZgBu80MxWofHQCJWd9BMNj9H/61E
 jER5IgYehEdgVGSPBC52zCbUCU8i9o/rnf0SVNAjSeqLrPqIu3a/FMwXIFwOGIkBQu
 GMa9kwQX2nbbTJ+C/5OK7n8pjSZeuHd+LBV/QR30=
X-Riseup-User-ID: 492BC9A870CD7D86FF1E8D11B853709CC5A5B2955C98AB2752673EE16A3C57A8
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net (Postfix) with ESMTPSA id B573F1C07E9;
 Tue, 17 Sep 2019 22:00:26 -0700 (PDT)
Received: from localhost (127.0.0.1) (SquirrelMail authenticated user quiliro)
 by sm.riseup.net with HTTP; Wed, 18 Sep 2019 00:00:27 -0500
Message-ID: <22959e14d5c70a94bf9cd886d9d06e90.squirrel@HIDDEN>
In-Reply-To: <20190916002322.04834163@HIDDEN>
References: <20190916002322.04834163@HIDDEN>
Date: Wed, 18 Sep 2019 00:00:27 -0500
Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager
 doesn't work
From: quiliro@HIDDEN
To: "Jan Wielkiewicz" <tona_kosmicznego_smiecia@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;charset=utf-8
Content-Transfer-Encoding: 8bit
X-Priority: 3 (Normal)
Importance: Normal
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37422
Cc: 37422 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> PS tried sending this message to
> https://issues.guix.gnu.org/issue/26234
> but it got lost. Is it an accident, or is sending messages to closed
> issues impossible?

It is closed. This was the last comment:

It’s been a while :-), but this is fixed by
598757e038ab5dea3b59c9c248a2ad860c41fe62, which lets you choose the Xorg
keyboard layout (this was already possible before actually, but a bit
more involved.)





Information forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Sep 2019 10:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 06:14:06 2019
Received: from localhost ([127.0.0.1]:49232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9o1F-0000fL-RD
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 06:14:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:53365)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i9o1E-0000fD-5b
 for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 06:14:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46185)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i9o1D-0001RT-0H
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 06:14:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.4 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i9o1B-0001on-Qu
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 06:14:02 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.153]:41488)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i9o1B-0001nS-4T
 for bug-guix@HIDDEN; Mon, 16 Sep 2019 06:14:01 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.26.126
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-26-126.dynamic.chello.pl [89.64.26.126])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA
 for <bug-guix@HIDDEN>; Mon, 16 Sep 2019 00:23:23 +0200 (CEST)
Date: Mon, 16 Sep 2019 00:23:22 +0200
From: Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>
To: bug-guix@HIDDEN
Subject: Setting keyboard layout with SLiM login manager doesn't work
Message-ID: <20190916002322.04834163@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1568586204;
 bh=DcfxnlFzqVAEC0ttnDuCq6pXaxrxzm8JTU0KNuid2xM=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Subject:
 Message-ID:X-Mailer:MIME-Version:Content-Type:
 Content-Transfer-Encoding:X-Interia-Antivirus;
 b=kR69kSdi52tSWqADHQKORj7k2LdZvw4NOmrVuakAALKRqFDfpKiN1hmHD7bOhaNkp
 9XQLmYZD7BUwzoFbBKOb1iz6I0MOe+6sPDfG/W/y5w0BWMtJnGMfgPQLbyR3+TV4G4
 Elx8HTpHd4ljV2ZY+MWmP/QpziIoiFLSb0yLxczE=
X-EOM: H-lo10
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 217.74.65.153
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hi everyone!

I've tried using the default Polish keyboard layout with
SLiM and it doesn't seem to work - the system reconfigures properly
with no single error or warning, then after rebooting and logging in,
the layout is unavailable - only the US layout. The Polish layout is
aviable in tty's, but not in X sessions. I've run guix pull
several days ago.

This is my configuration:

(keyboard-layout (keyboard-layout "pl" "legacy"))

[...]

(service slim-service-type
	 (slim-configuration
	 (display ":0")
	 (vt "vt7")))
(set-xorg-configuration (xorg-configuration
			(keyboard-layout keyboard-layout))
			slim-service-type)

PS tried sending this message to
https://issues.guix.gnu.org/issue/26234 
but it got lost. Is it an accident, or is sending messages to closed
issues impossible?

---
Jan Wielkiewicz




Acknowledgement sent to Jan Wielkiewicz <tona_kosmicznego_smiecia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37422; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Sep 2019 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.